Skip to main content
GET
Get Bulk Wallet Job

Authorizations

Authorization
string
header
required

Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows

Path Parameters

jobId
string
required

The bulk wallet creation job to retrieve.

Required string length: 1 - 64
Pattern: ^bwc-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$

Response

200 - application/json

Success

id
string
required

ID of the bulk wallet creation job.

Required string length: 1 - 64
Pattern: ^bwc-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
Example:

"bwc-7jk0a-j19vv-4fhcj3452jceonu0"

orgId
string
required

ID of the org that owns the job.

Required string length: 1 - 64
Pattern: ^or-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
Example:

"or-30tnh-itmjs-s235s5ontr3r23h2"

status
enum<string>
required

Bulk wallet creation job status.

Available options:
Pending,
InProgress,
Completed,
PartiallyCompleted,
Failed
network
enum<string>
required

Network the wallets are created on.

Available options:
Algorand,
AlgorandTestnet,
Aptos,
AptosTestnet,
ArbitrumOne,
ArbitrumSepolia,
ArcTestnet,
AvalancheC,
AvalancheCFuji,
BabylonGenesis,
BabylonTestnet5,
Base,
BaseSepolia,
Berachain,
BerachainBepolia,
Bitcoin,
BitcoinSignet,
BitcoinTestnet4,
BitcoinCash,
Bob,
BobSepolia,
Bsc,
BscTestnet,
Canton,
CantonTestnet,
Cardano,
CardanoPreprod,
Concordium,
ConcordiumTestnet,
Celo,
CeloAlfajores,
Codex,
CodexSepolia,
CosmosHub4,
CosmosIcsTestnet,
Dogecoin,
DogecoinTestnet,
Ethereum,
EthereumClassic,
EthereumClassicMordor,
EthereumSepolia,
EthereumHoodi,
FlareC,
FlareCCoston2,
FlowEvm,
FlowEvmTestnet,
Hedera,
HederaTestnet,
Ink,
InkSepolia,
InternetComputer,
Ion,
IonTestnet,
Iota,
IotaTestnet,
Kusama,
KusamaAssetHub,
Litecoin,
LitecoinTestnet,
Movement,
MovementTestnet,
Near,
NearTestnet,
Optimism,
OptimismSepolia,
Origyn,
Plasma,
PlasmaTestnet,
Plume,
PlumeSepolia,
Paseo,
PaseoAssetHub,
Polkadot,
PolkadotAssetHub,
Polygon,
PolygonAmoy,
Polymesh,
PolymeshTestnet,
Race,
RaceSepolia,
Rayls,
RaylsTestnet,
Robinhood,
RobinhoodSepolia,
SeiAtlantic2,
SeiPacific1,
Solana,
SolanaDevnet,
Sonic,
SonicTestnet,
Starknet,
StarknetSepolia,
Stellar,
StellarTestnet,
Sui,
SuiTestnet,
Tezos,
TezosGhostnet,
TezosShadownet,
Tempo,
TempoModerato,
Tsc,
TscTestnet1,
Ton,
TonTestnet,
Tron,
TronNile,
Westend,
WestendAssetHub,
Xdc,
XdcApothem,
XLayer,
XLayerSepolia,
XrpLedger,
XrpLedgerTestnet
namePrefix
string
required

Name prefix shared by every wallet in the batch; wallet at index N is named ${namePrefix}${N}.

tags
string[]
required

List of tags.

Maximum array length: 10

Wallet Tag.

Pattern: ^[a-zA-Z0-9_.:/+-]{1,100}$
totalCount
integer
required

Total number of wallets requested in the batch.

completedCount
integer
required

Number of wallets created so far.

keystoreId
string
required

Key store the batch keys are minted in.

Required string length: 1 - 64
Pattern: ^store-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
Example:

"store-425nf-ebf0a-qq22t6qra51tj8j0"

dateCreated
string
required

ISO 8601 date string when the job was created.

Example:

"2023-04-14T20:41:28.715Z"

dateUpdated
string
required

ISO 8601 date string when the job was last updated.

Example:

"2023-04-14T20:41:28.715Z"

masterKeyId
string

Master key the batch wallets are derived from.

Required string length: 1 - 64
Pattern: ^key-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
Example:

"key-01snl-t56gb-j8tsok0vn802p80i"

reason
string

Failure reason, set when the job did not complete fully.

nextRetryDate
string

ISO 8601 date string when the job is next retried.

Example:

"2023-04-14T20:41:28.715Z"

nextRetryAttempt
integer

Number of retry attempts made so far.

dateCompleted
string

ISO 8601 date string when the job finished.

Example:

"2023-04-14T20:41:28.715Z"

Last modified on September 3, 2026